Copyright: Intel(R) PROSet Help Version 18
Citation: Copyright © Intel Corporation 2001. All rights reserved.


General

Ethernet Address: the 12-digit hexadecimal node address of this adapter. Also called MAC address.

Part Number: the Intel part number of this adapter.

IP Address: the Internet protocol address of this adapter if TCP/IP protocol is in use.

Network Driver Status: indicates if the Intel network driver is loaded or not loaded for the currently selected adapter.

Network Status group:

•	Link LED:  "On" indicates the adapter cable is connected to a valid hub or switch port; "Off" indicates no link.

•	Duplex:  "Full Duplex" indicates the adapter is connected to a full duplex switch port; "Half Duplex" indicates the adapter is set to operate at half duplex.

•	Mbps:  The speed listed here (1000, 100, or 10) indicates the adapter is connected to a 1000, 100, or 10 Mbps switch port, respectively.

•	Activity LED: "Flashes" when the adapter is connected to a network with activity; "Off" indicates no activity or a disconnected cable.

Test Cable Button: click this button to test the physical integrity of the cable. This button only appears when the driver does not detect a link to the network and the Link LED is off.

Show the Tray Icon checkbox: check this box to enable the Intel® PROSet II tray icon on the taskbar (near the clock). Uncheck it to disable the tray icon.

More on the PROSet II Tray Icon

Identify Adapter Button (not available on all adapter models): You can use this feature to easily identify the adapter.

Identify an adapter

Details Button: click this button to view more information about the adapter.

Legal: trademark and disclaimer information.


Testing the Cable

The cable test detects a short circuit or break in the cable. The results of the test are displayed in the Troubleshooting tab.

Run the cable test by clicking the Test Cable button.

1.	In the Network Component Tree in PROSet II, click on the adapter listing.

2.	Click the General tab.

3.	Click the Test Cable button.

4.	If you wish to continue, click Yes. The test may take a few minutes to complete.

5.	The test results are displayed in the Troubleshooting tab.


Legal

Copyright © 2001, Intel Corporation. All rights reserved.

Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR   97124-6497  USA

Intel Corporation assumes no responsibility for errors or omissions in this document. Nor does Intel make any commitment to update the information contained herein.

* Other product and corporate names may be trademarks of other companies and are used only for explanation and to the owners' benefit, without intent to infringe.


Advanced Settings for PRO/1000 Adapters

NOTE: The settings below may not be available on all PRO/1000 adapters.

QoS Packet Tagging (TaggingMode)

Allows the adapter to send and receive IEEE 802.3ac tagged frames which include 802.1p QoS indications.

Default: Off

Range: On, Off

Coalesce Buffers (NumCoalesceBuffers)

The number of memory buffers available to optimize transmit performance. Range should be 30 - 50 % transmit descriptors.

Default: 8

Range: 1 - 32

Fast Transmit Completion (ReportTxEarly)

Description: Frees the transmit resources upon DMA completion.

Default: On

Range: On, Off

Flow Control

IEEE 802.3x flow control advertising properties issued by the PRO/1000 adapter. These settings help fine tune network performance by preventing packets from dropping.

Default: Enabled

Settings:

Disabled

Receive Pause Frames

Transmit Pause Frames

Enabled

Hardware Default

Flow Control Receive

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to receive full duplex flow control frames by pausing the transmit path. The transmit path is paused for the time specified in the received flow control frame. These settings help fine tune network performance by preventing packets from dropping.

Default: Disabled (0)

Range:  Disabled (0) / Enabled (1)

Jumbo Frames (MaxFrameSize)

Enables or disables jumbo frame capability. Jumbo Frames can increase throughput and decrease CPU utilization by putting more data in each packet, thereby sending out fewer packets. Enable only if your network infrastructure supports Jumbo Frames. See Jumbo Frames topic for more information.

Default: Disabled

Range: Disabled (1514), 4088, 9014 (Alteon switches) and 16128. (For "on the wire" total frame size, add 4 bytes for CRC and 4 bytes if using VLANs.)

Large Memory Enabled (LME)

Supports direct access to system memory greater than 4 gigabytes.

Default: On

Range: On, Off

Locally Administered Address (LAA)

You can optionally override the factory default network address of the adapter. To enter a new network address, type a 12 digit hexadecimal number in this box.

The address entered should be in the range of:  0000 0000 0001 - FFFF FFFF FFFD.

Exceptions:

Do not use a multicast address (LSB of the high byte = 1). For example, in the address 0Y123456789A, "Y" cannot be an odd number (must be 2, 6, A, or E).

Do not use all zeros or all F's.

Offload Receive TCP Checksum (ChecksumRxTCP)

Allows the adapter to verify the TCP or UDP checksum of incoming packets. This improves TCP and UDP receive performance.

Default: On

Range: On, Off

Offload Transmit IP Checksum (ChecksumTxIP)

Allows the adapter to compute the IP checksum of outgoing packets. This improves IP transmit performance.

Default: On

Range: On, Off

Offload Transmit TCP Checksum (ChecksumTxTCP)

Allows the adapter to compute the TCP or UDP checksum of outgoing packets. This improves TCP and UDP transmit performance.

Default: On

Range: On, Off

Receive Descriptors (NumRxDescriptors)

Hardware resource in memory used to receive packets. Resetting not required for optimal performance on most systems.

Default: 160

Range: 64 - 256 (Version 2.0 or newer)

Range: 64 - 768 (prior to Version 2.0)

Transmit Descriptors (NumTxDescriptors)

Hardware resource in memory used to send packets. Increasing this value may increase transmit performance. A value too high can cause decreased performance.

Default: 256 (version 2.0 or newer)

Default: 384 (prior to Version 2.0)

Range: 64 - 256 (Version 2.0 or newer)

Range: 64 - 768 (prior to Version 2.0)

Restore Default button

Use this button to restore the setting to its default.

Wake On ARP

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up when the adapter receives an ARP (Address Resolution Protocol) Packet. ARP is a TCP/IP protocol used to determine a node’s physical address.

To use this feature, make sure that the Wake On Pattern Matching feature is enabled.

Default: Enabled (1)

Range:  Disabled (0) / Enabled (1)

Wake On Directed Packet

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up when the adapter receives a Directed Packet. To use this feature, make sure that the Wake On Pattern Matching feature is enabled.

Default: Enabled (1)

Range:  Disabled (0) / Enabled (1)

Wake On Link Change

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up in response to a link change event such as connecting the adapter to a network.

Default: Enabled (1)

Range:  Disabled (0) / Enabled (1)

Wake On Magic Packet

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up in response to receiving a Magic Packet. A Magic Packet is a packet contains 16 contiguous copies of  the receiving adapter’s Ethernet address.

Default: Enabled (1)

Range:  Disabled (0) / Enabled (1)

Wake On NBT Query

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up when the adapter receives an NBT (NetBIOS-over-TCP/IP) Name Query Packet. NBT converts IP addresses to NetBIOS names, and then NetBIOS names to IP addresses.

To use this feature, make sure that the Wake On Pattern Matching feature is enabled.

Default: Enabled (1)

Range:  Disabled (0) / Enabled (1)

Wake On Pattern Matching

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up in response to receiving a network frame containing a pattern. This pattern is specified by the protocol driver.

Default: Enabled (1)

Range:  Disabled (0) / Enabled (1)


Driver Information
Network Driver

Driver Information:

Name - Filename of the adapter driver currently loaded.

Version - Version number of the driver. Useful when downloading new versions from the Intel Web site.

Description - Driver name

Copyright - Legal information and owner of the driver.

Statistics:

Packets Sent - Number of packets sent by the driver since it started.

Packets Received - Number of packets received by the driver since it started.

Send Errors - Number of Tx (send) errors noted since the driver started.

Receive Errors - Number of Rx  (receive) errors noted since the driver started.

Network Driver Event Log Messages:

Gives a list of network driver related errors that have occurred. Double-click on the date field for a description of the error. Possible solutions are listed for some common errors.


Diagnostics

NOTE: Diagnostics are not supported on the 82562EH based Phoneline Desktop Adapter and Network Connection.

Adapter diagnostics provide you the flexibility of testing one or multiple items. Select or deselect the items you want to test, and click Run Tests.

NOTE: If Basic Diagnostics are running, and you click Stop, a short delay occurs before diagnostics halts. When diagnostics halt, the OK button becomes available.

Warning: The Sender/Responder test is not designed to run while the system is in "Standby" or "Suspend" mode.  Setting the system as such will cause the Sender/Responder to cease functioning.

Individual Tests

Control Registers

Tests registers the software uses to configure and send commands to the adapter controller. This test includes all General Registers except the EEPROM Control/Data Register, all Receive Registers, and all Transmit Registers.

FIFO Registers

Tests FIFO memory on the adapter by writing and reading patterns to and from the FIFO memory.

EEPROM

Reads the EEPROM contents and confirms that the checksum is correct. This uses the EEPROM Control/Data Register which in effect tests the register.

Interrupt

Uses the Interrupt registers to confirm that all adapter interrupts work.

Loopback

Tests the adapter's ability to send and receive packets by sending packets to itself. This test uses both the MAC loopback and the Transceiver loopback modes. (Not available on PRO/1000 T adapter.)

Link

Confirms that the adapter is linked to a valid link partner.

Other Settings

Run Tests Button:  Click to begin testing. This button changes to the Stop button during testing.

Continuous box:  Click on to run tests continuously.

Advanced button: Click to set up a sender-responder network test.

See also:

Sender-Responder Test


Team Configuration and Status
Team Configuration

The Adapters in a Team status box lists the following details:

Adapter

Lists each adapter by name.

Priority

Lists the priority status for the adapters in a team (if you have specified a priority).  You can specify that an adapter serve as the Primary or Secondary adapter within the Adapter Fault Tolerance function of a team.

How to specify an adapter as Primary or Secondary

The Status column lists the following states:

Active

The currently active adapter(s) in a team.  Adapters in FEC or GEC mode display this status to show they are always active.

Standby

The current standby adapter In a team.

Disabled

The adapter has been removed or is defective, or the driver has failed to load.

The Team Information section lists the following details:

IP Address

Lists the IP Address for the adapter.

Team Type

Lists the team type for the adapter highlighted in the Adapters in a Team status box.

NOTE: When you add a new team or if you delete a team from the Network Control Panel, the frame type for each adapter in the team reverts to Auto. This is important only if you need to manually set the frame type on your adapters.


VLAN
VLAN Overview

NOTE: VLAN is not supported on the 82562EH based Phoneline Desktop Adapter and Network Connection.

A VLAN is a logical grouping of network devices put together as a LAN regardless of their physical grouping or collision domains. VLANs let a user see and access only specified network segments. This optimizes network efficiency and maintains security access restrictions. VLANs require special switches that are capable of supporting VLANs. All PRO/100+, PRO/100 S PCI and PRO/1000 adapters currently support VLANs when attached to a VLAN enabled switch. For specific compatibility notes, see VLAN Compatibility Notes.

A VLAN offers you the ability to group users and client PCs together into logical workgroups, a critical consideration when connecting clients to servers that are geographically dispersed across the building, campus, or enterprise network.

Typically, VLANs group a common set of coworkers who are within the same department but in different locations, a cross-functional team working on a joint project, or a diverse set of users sharing the same network application. Joining workers across the network forms logical working groups.

By using VLANs on your network, you can:

•	Improve network performance

•	Limit broadcast storms

•	Improve adds, moves, and changes

•	Minimize security problems

•	Ease your management task

For overview information on Intel VLANs, visit the Intel Networking Web site:

  Visit Web site now

For more specific information, read the white paper on VLANs:

  Read white paper from Web site

See Also:

VLAN Options


Support

Web-Based Support

For support, click one of the Web site links. You must have an Internet connection and a Web browser to use these links.

PROSet II Version

The version number of PROSet II is shown at the bottom of the Support page.


Troubleshooting

This tab appears only when PROSet II detects a problem with the adapter configuration, driver installation, or other error. PROSet II examines the problem and in most cases offers a possible solution to the problem.


Sender Responder Test

Warning: The Sender/Responder test is not designed to run while the system is in "Standby" or "Suspend" mode.  Setting the system as such will cause the Sender/Responder to cease functioning.

The Sender Responder Test lets you test your adapter extensively across a network.

Advanced diagnostics requires two computers: one to send packets continuously to the network (the Sender) and another to echo the packets back (the Responder).

You can set up this PC as a Sender or Responder:

Sender

Before you start sending packets, you need to set up a responder somewhere else on the network. Go to another computer with a PRO/10+, PRO/100B, PRO/100+, PRO/100 S or PRO/1000 adapter installed and use PROSet II or Setup for that adapter to set it up as a responder. If possible use the same model adapter for the sender and responder

Sends packets continuously to the network. Select Start to begin sending packets.

Responder

Echoes packets back to the sender (the one sending packets). Select Start to have this PC act as a responder.

Although not designed for it, this test can be used to test network segment cabling and network configuration. When testing a new LAN segment, set up a responder on one end and test with a sender on the other.


New VLAN

VLAN ID: This field is the VLAN number assigned by your network administrator. It must match the ID number on the switch. Some switches may not allow using the numbers 0 and 1.

Valid Range:  1 - 4094.

VLAN NAME: Choose a name to easily identify this particular VLAN. For example, Marketing or Engineering.


Identify Adapter

Use this procedure to match an adapter listed in PROSet II to the physical adapter it represents.

1.	In the Network Component Tree in PROSet II, highlight a Non-Teamed Adapter Listing or a Teamed Adapter Listing.

2.	In the General tab, click the Identify Adapter button. This opens a dialog that allows you to blink the programmable LED on the adapter bracket (bottom LED).

3.	Choose the number of seconds the LED should blink and then click Start. The LED for the selected adapter will blink for the duration you selected.


Adapter Fault Tolerance

Adapter Fault Tolerance provides the safety of an additional backup link between the server and hub or switch. In the case of hub or switch port, cable, or adapter failure, you can maintain uninterrupted network performance.

Adapter Fault Tolerance is implemented with a primary adapter and a backup, or secondary, adapter. During normal operation, the backup adapter has transmit disabled. If the link to the primary adapter fails, the link to the secondary adapter automatically takes over.

An Adapter Fault Tolerance team can contain adapters of mixed speeds. For example, a team can contain one adapter running at 100 Mbps and a second adapter running at 1000 Mbps.

To use Adapter Fault Tolerance, you must have two or more server adapters installed in your server or workstation.

Teaming Advanced Settings

Fault Tolerance Protocol Compatibility for Windows 2000 and Windows NT 4.0:

IP, NetBEUI, IPX (NCP), IPX (NetBIOS)


Adapter Load Balancing
Adaptive Load Balancing

Adaptive Load Balancing (ALB) is a simple and efficient way to increase your server's transmission throughput. With ALB, as you add adapters to your server, you can group them in teams to provide up to 800 Mbps (for PRO/100+ and PRO/100 S adapters) with a maximum of eight server adapters. The ALB software continuously analyzes transmission loading on each adapter and balances those across the adapters as needed. Adapter teams configured for ALB also provide the benefits of Adapter Fault Tolerance.

To use ALB, you must have two or more server adapters installed in your server or workstation and linked to the same network switch.

Teaming Advanced Settings

ALB Protocol Compatibility for Windows 2000 and Windows NT 4.0:

IP, IPX (NCP)

Note that ALB does not load balance non-routed protocols such as NetBEUI and some IPX traffic.

PRO/1000 Gigabit Server Adapter Performance Notes (Gigabit ALB Teams Only)

Because the PRO/1000 adapter already supports such high-bandwidth, using the ALB feature may cause reduced performance on some servers. This is because many servers available today do not have the CPU or Bus capacity to effectively handle teamed gigabit-class adapters. For best ALB performance, use newer servers that support multiple PCI buses and multiple Pentium(r) II processors running at a speed of 400 MHz or more. On such a server, install the teamed PRO/1000 adapters on separate PCI buses for maximum ALB performance.

NOTE: When teaming PRO/1000 T adapters in ALB mode, check the operating speed of each adapter. For ALB, all adapters in a team must run at the same speed. For example, all adapters must run at 1000 Mbps. If an adapter is not running at 1000 Mbps, check the link partner and make sure it is a gigabit port and that it is set according to the settings listed under PRO/1000 Link Configuration settings.


Fast EtherChannel
Fast EtherChannel*

Fast EtherChannel (FEC) is a performance technology developed by Cisco to increase your server's throughput. Unlike ALB, FEC can be configured to increase both transmission and reception channels between your server and switch. FEC works only with FEC-compatible Cisco switches. With FEC, as you add adapters to your server, you can group them in teams to provide up to 1600 Mbps (for PRO/100+ and PRO/100 S adapters) with a maximum of eight server adapters per team. (Note that the switch must support up to eight FEC adapters for eight adapters to work in FEC . Consult your switch documentation.) Teams can consist of two to eight adapters and you can have a maximum of four FEC teams per server. The FEC software continuously analyzes loading on each adapter and balances those across the adapters as needed. Adapter teams configured for FEC also provide the benefits of Adapter Fault Tolerance.

To use FEC, you must have two or more server adapters installed in your server or workstation and linked to the same Cisco Fast Etherchannel switch.

Teaming Advanced Settings

FEC Protocol Compatibility for Windows 2000 and Windows NT 4.0:

IP, NetBEUI, IPX (NCP), IPX (NetBIOS)

* EtherChannel is a trademark of Cisco Systems.


Adapter Teaming Information

Intel server adapters provide several options for increasing throughput and fault tolerance when running Windows 2000 or Windows NT 4.0: Not all adapters support the options below.

Adapter Fault Tolerance  - provides automatic redundancy for your adapter. If the primary adapter fails, the secondary takes over. You can create up to eight Fault Tolerance teams.

Adaptive Load Balancing (ALB) - creates a team of 2 - 8 same speed adapters to increase transmission throughput. Also includes Fault Tolerance option. Works with any switch. You can create up to four teams.

Fast EtherChannel* (FEC) - creates a team of 2 - 8 same speed adapters to increase transmission and reception throughput. Also includes Fault Tolerance option. Requires a switch with FEC capability. You can create up to four teams.

Gigabit EtherChannel (GEC) - creates a team of 2 - 8 same speed adapters to increase transmission and reception throughput. Also includes Fault Tolerance option. Requires a switch with GEC capability. You can create up to four teams.

Link Aggregation - creates a team of 2 - 8 same speed adapters to increase transmission and reception throughput. Also includes Fault Tolerance option. Requires a switch with Link Aggregation capability. You can create up to four teams.

IEEE 802.3ad - creates a team of 2 - 8 adapters to increase transmission and reception throughput. Fault Tolerance option. Requires a switch that supports IEEE 802.3ad.

For overview information on Intel adapter teaming, visit the Intel Networking Web site:

  Visit Web site now

For more specific information, read the white paper on Solving Server Bottlenecks:

  Read white paper from Web site


Adapter Details

NOTE: Not all properties are available on every adapter model.

IP Address	IP address currently in use for this adapter
Bus Speed	Speed of PCI bus in megahertz
Bus Width	Bit-width of PCI bus (32 or 64)
Controller	Part number or model of component on the adapter
Media Type	Type of connector (fiber or copper)
Permanent Ethernet    Address	Node (MAC) address of adapter in hexadecimal
Current Ethernet    Address	This address may or may not display, depending on whether a locally administered address (LAA) has been assigned to this adapter.
Phy Device	The description of the physical adapter device
Part Number	The Intel part number of the adapter
Interrupt	The interrupt the PCI BIOS assigned to the adapter
Memory Address	The memory address the adapter is using
I/O Address	The I/O address the PCI BIOS assigned to the adapter
(Bus)Slot	The bus number and slot ID of the adapter NOTE: Slot and bus information varies, depending on type of motherboard.


Adapter Fault Tolerance Properties
Teaming Advanced Settings

NOTE: Not all properties are available on every adapter model.

JoinIndividuals

This advanced setting is available for Link Aggregation teaming. Adapters in a Link Aggregation team are configured to operate in either static or dynamic mode. If you set the JoinIndividuals parameter to enabled, the drivers for the adapters can operate in either static or dynamic mode. If you set this parameter to disabled, only one adapter transmits data across the network.

Default: Enabled

Range: Disabled/Enabled

LinkAggrJoinMethod

This advanced setting is available for Link Aggregation teaming. Based on the IEEE 802.3ad standard, a link can be divided into several links called aggregators. However, only one of the aggregators is active. The LinkAggrJoinMethod parameter specifies how the system chooses the active aggregator. If you set the LinkAggrJoinMethod to Maximum Bandwidth, the system selects the aggregator that generates more traffic. If you set the parameter to Maximum Adapters, the system selects the aggregator that has more adapters.

Default: Maximum bandwidth

Range: Maximum bandwidth, Maximum adapters

Load Balance Refresh Rate

Amount of time ALB waits before resetting or refreshing the current load across the adapters in the load balancing team. Keep this setting at the default or as low as possible for optimum performance.

Default: 10 Check Time units

Range: 1-50 Check Time units

The number of seconds you specify for the Check Time setting will be used as the measure for each Check Time unit here.  See the Check Time setting, below, for more details.

Check Time

How often Fault Tolerance checks the status of the adapters in a Fault Tolerance team.

Default: 1 second

Range: 1 - 3 seconds

Locally Administered Address

Allows you to override the MAC address that is automatically specified for the adapter team.  To do so, enter a different MAC address in the Locally Administered Address field.  This option is provided for those who use the Windows NT Load Balancing Service (WLBS) or other drivers of its class.  In all other cases, this field is to be left blank.

To enter a new network address, type a 12 digit hexadecimal number in this box.

The address entered should be in the range of:  0000 0000 0001 - FFFF FFFF FFFD.

Exceptions:

Do not use a multicast address (LSB of the high byte = 1). For example, in the address 0Y123456789A, "Y" cannot be an odd number (must be 2, 6, A, or E).

Do not use all zeros or all F's.

NOTE: To revert back to the MAC address that is automatically specified for the adapter team, remove any entry in the Locally Administered Address field.

MaxNumProbeRetry

Maximum number of times Fault Tolerance re-sends a probe if an adapter fails to send/receive before Fault Tolerance declares the adapter has failed.

Default: 30

Range: 0 - 30

NumRxPackets

Specifies the number of NDIS receive packets that the ANS driver allocates for its receive pool, per ANS virtual adapter.  If left at the default (32) ANS automatically adapts to network traffic load.  If this setting is too low, packets may be dropped.  If set too high, memory may be wasted.  When adapter is used in a team, it is recommended this value be set to 150.  In other cases, by modifying this value you could degrade performance on your system.  Use at your own risk.

Default: 32

Range: 32 - 512, step 16

NumTxPackets

Specifies the number of NDIS transmit packets that the ANS driver will allocate for its transmit pool, per ANS virtual adapter.  If left at the default (32) ANS automatically adapts to network traffic load.  If this setting is too low, packets may be dropped.  If set too high, memory may be wasted.  By modifying this value, you could degrade performance on your system.  Use at your own risk.

Default: "Default" (Note: "Default" refers to the hardware default.  You can override the hardware default by changing the setting, using the range listed below.)

Default: 32

Range: 16 - 512, step 16

Probe

Determines whether Fault Tolerance sends probes, and whether probes are considered in fail-over decisions.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

ProbePacket Type

Determines whether the Probe feature should use Multicast or Broadcast probe sends.

Default: Broadcast Probes (0)

Range: Broadcast Probes (0)/Multicast Probes (1)


Diagnostics for PRO/100 and PRO/100+ Adapters
Diagnostics for PRO/100, PRO/100+, and PRO/100 S Adapters

NOTE: If Adapter Diagnostics are running, and you click Stop, a short delay occurs before diagnostics halts. When diagnostics halt, the OK button becomes available.

Basic Diagnostics

Adapter diagnostics provides you the flexibility of testing one or multiple items. Select or deselect the items you want to test, and click Run Tests.

Control Registers

Tests the registers the software uses to configure and send commands to the 8255x controller.

Intel 8255x Controller

Runs built-in tests on the 8255x controller, confirming that it's working properly.

EEPROM

Reads the EEPROM contents and confirms that the checksum is correct. This uses the EEPROM Control/Data Register which in effect tests the register.

Loopback

Tests the adapter's ability to send and receive packets.

Link

Checks the network connection and the adapter's send and receive functionality by sending 1000 proprietary packets out on the network and retrieving those same packets.


Advanced Settings for PRO/100+ Adapters
Advanced Settings for PRO/100, PRO/100+ and PRO/100 S Adapters

QoS Packet Tagging (82550, 82558 and 82559-based products only)

Enables or disables IEEE 802.1p/802.1Q tagging for the priority filters you have set up (via the Priority Packet utility) to send network traffic with different priority levels. You must set this option to 'Enabled' in order for Priority Packet filters to function properly.

If you have assigned filters using 802.1p/Q tagging but this setting is 'Disabled', the corresponding packets will still be prioritized, using Intel's High Priority Queue (HPQ).

ACPI Wake On LAN*

Enables or disables the Magic Packet* service for Wake On LAN when used in Microsoft Windows 98 version 4.10.1998 without the Service Pack.  If you are using a later version of Windows 98, or have Service Pack 1 or later installed, this option will be ignored and you will be using the ACPI Wake On LAN services.

To determine your version of Windows 98:

From the Windows 98 desktop, right-click on the My Computer icon and choose Properties.  The System Properties window appears and your Windows 98 version is listed under "System:"

Adaptive Inter-Frame Spacing

This is a performance setting that compensates for excessive Ethernet packet collisions on your network. The default setting works best for most computers and networks by dynamically adapting to the network traffic conditions. However, in some rare cases you may obtain better performance by manually setting the spacing value. Setting a value forces a static gap between packets.

Increasing the value increases the delay between frames being transmitted.

Default: 0

Range: 0 − 255

IPSec Server Mode

NOTE: This feature may not be available on every adapter model.

Your Intel PRO/100 S adapter can store (cache) security information for up to 16 secure connections. (A secure connection is a communication session with another computer running Intel Packet Protect or other IP Security software.) This is typical for most client computers. When more than 16 simultaneous secure connections must be managed simultaneously, such as in a server running both Windows NT and IPSec software, set this parameter to Enabled. This instructs the driver to allocate system memory for security associations (SAs). Otherwise set it to Disabled (default).

Default: Disabled

Range: Disabled/Enabled

Adaptive Link Response (Mobile products only)

NOTE: This feature may not be available on every adapter model.

Recommended value = Enabled (On)

Designed for mobile computers, this feature helps speed the start time for your computer by dynamically checking to see if your computer’s network cable is connected at start up, and if no cable is connected, to bypass the Windows domain verification when you log onto Windows.

When this feature is enabled, the adapter detects whether or not a valid link status is available.  If available, the computer starts normally.  If a valid link is not available, the computer starts up in the following way:

•	In Windows NT, an error message appears at startup stating that a service or driver failed during system startup.  This is intended and will speed the computer’s start up.  Click OK to close this message.

•	In Windows 9x systems which are set up for domain login, the Welcome to Windows dialog box appears (instead of the Enter Network Password dialog box, which would have slowed the computer’s startup.)

Default: Off

Range: On, Off

Adaptive Performance Tuning

Sets the number of frames the adapter receives before triggering an interrupt. Under normal operation, the adapter generates an interrupt every time a frame is received. Reducing the number of interrupts improves CPU utilization.

Move the slider to Max Adapter Bandwidth to generate one interrupt per frame. This increases adapter bandwidth, but may increase CPU utilization, slowing your computer. Move the slider toward Max CPU Utilization to increase the number of frames the adapter receives before generating an interrupt. This improves CPU utilization, but may reduce adapter bandwidth. The default setting works well for most computers.

Adaptive Technology

Default = Off

This parameter either enables or disables the Adaptive Technology performance enhancement feature. To enable the feature, click ON. To disable the feature, click OFF. To adjust performance against CPU utilization, turn this parameter ON.

Adaptive Transmit Threshold

Recommended value = 12  (Recommended value = 16 in Windows NT*)

Specifies the number of bytes before the PCI adapter empties its internal transmit FIFO onto the wire. The value is multiplied by 8 to produce the number of bytes.

For example, if Transmit Threshold = 200, the number of bytes is 1600. This is greater than the maximum packet size for Ethernet. Consequently, the adapter won't attempt early transmits. Although this is the safest setting, the best performance is achieved when the threshold parameter is as low as possible (without producing underruns).

To experiment, set the parameter to 16 and then incrementally increase it if performance drops significantly.

NOTE: Don't set the transmit threshold parameter below 200 for computers with multiple busmastering cards, or computers with otherwise high latency.

Automatic 10Mbs on D3

NOTE: This feature may not be available on every adapter type.

This feature allows the driver to automatically change the link speed between 100 Mbps to 10 Mbps. The transition can take up to four seconds. When the adapter wakes up, the link speed is set to the original link speed of the adapter. Changing the link speed from 100 Mbps to 10 Mbps saves power.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

Coalesce Buffers

Recommended value = 8

Specifies the number of memory buffers available to the driver in case the driver runs out of available Map Registers. This buffer area is also used when a packet consists of many fragments.

If no coalesce buffers or map registers are available, the driver will be forced to queue the packet for later transmission. The preferred method of transmitting data is to use map registers since it's the most efficient method.

Coalesce buffers range: 1-32

Enable PME

Use this setting to adjust the power management compatibility of 82559-based adapters. To explicitly allow wake up with a Magic Packet* from shutdown under APM power management mode, set this to Enable.  To explicitly turn the 82559 LAN controller off in shutdown under ACPI power management mode, set this to Disable.

Flow Control Receive

NOTE: This feature may not be available on every adapter type.

This feature allows the device to receive full duplex flow control frames by pausing the transmit path. The transmit path is paused for the time specified in the received flow control frame. These settings help fine tune network performance by preventing packets from dropping.

Default: Disabled (0)

Range: Disabled (0) / Enabled (1)

Link Based Login

This feature enables the Adaptive Link Response (ALR) feature. Based on the value for the parameter LinkBasedLoad, this feature checks for the PhyLink status and returns a value of Success or Failure.

Default: Disabled (0)

Range: Disabled (0) / Enabled (1)

Link Speed & Duplex

Recommended setting = Auto Detect (default)

This parameter lets the PRO/100 S adapter know what speed to use on the Ethernet wire, and how to send/receive packets, either full or half duplex.

Options available include:

•	Auto Detect - The adapter detects whether its environment can support 100 Mbps speed (and uses 100 Mbps if possible), and negotiates with the switch on how to send/receive packets (either full or half duplex).

NOTE: You must have an auto-negotiating switch to get full duplex support with the Link Speed & Duplex option set to Auto Detect.

•	10Mbps/Half Duplex - The adapter uses 10 Mbps speed and performs one operation at a time. It either sends or receives.

•	10Mbps/Full Duplex - The adapter uses 10 Mbps speed and sends and receives packets at the same time. This improves the performance of your adapter. Select this mode only if you have a full duplex switch.

•	100Mbps/Half Duplex - The adapter uses 100 Mbps speed and performs one operation at a time. It either sends or receives.

•	100Mbps/Full Duplex - The adapter uses 100 Mbps speed and sends and receives packets at the same time. This improves the performance of your adapter. Select this mode only if you have a full duplex switch.

If you don't know which kind of switch you are attached to, contact your LAN Administrator.

Locally Administered Address (LAA)

You can optionally override the factory default network address of the adapter. To enter a new network address, type a 12 digit hexadecimal number in this box.

The address entered should be in the range of:  0000 0000 0001 - FFFF FFFF FFFD.

Exceptions:

Do not use a multicast address (LSB of the high byte = 1). For example, in the address 0Y123456789A, "Y" cannot be an odd number (must be 2, 6, A, or E).

Do not use all zeros or all F's.

Offloading

This option is available only in Windows 98SE*, Windows ME*, Windows NT, and Windows 2000.  This option helps save CPU cycles if set to correspond with the type of adapter you’re using.  If you’re using security offloading with a PRO/100 S adapter, use the IP Security setting.  If you’re not using security offloading with a PRO/100 S adapter, use the Checksum setting.  For any other adapter type, use the None setting.

Default: IP Security (for PRO/100 S adapters) or None (for other adapters)

Range: None, IP Security, Checksum (depending on adapter type, some options may not be available)

PCI Bus Efficiency

When enabled, causes all transmit packets to be coalesced into a single buffer before being sent to the network card. Because the entire frame requires only one PCI transaction, the PCI bus is more efficient but transmit time is slightly longer.

When disabled, the packets are not coalesced, and each packet requires several PCI transactions.  The PCI Bus is less efficient, but transmit time is faster.

Receive Buffers

Default value = 32

Specifies the number of buffers used by the driver when copying data to the protocol memory.

In high network load situations, increasing receive buffers can increase performance. The tradeoff is that this also increases the amount of system memory used by the driver. When adapter is used in a team, it is recommended this value be set to 150.  In other cases, by modifying this value you could degrade performance on your system.  Use at your own risk.

Receive Buffers range: 1-1024

Respond to Flow Control

When enabled, causes the adapter to pause the transmission of packets according to the time specified in a received full duplex flow control frame.

Default: Disabled

Security Associations (available on PRO/100 S adapters only)

Specifies the number of simultaneous Security Associations that can be offloaded to the adapter's co-processor.

Client Default: 64

Server Default: 1000

Range: 1-5000

Smart Power Down (Mobile products only)

Recommended value = Enabled (on)

Designed for mobile computers, this feature helps extend battery life. When the feature is enabled, the adapter automatically removes power from the adapter when the LAN cable is disconnected from the adapter. Later, when the LAN cable is connected, power to the adapter is restored. If the feature is off, power to the adapter is applied at all times.

Technical Details

Transmit Control Blocks

Default value = 64

Specifies how many transmit control blocks the driver allocates for adapter use. This directly corresponds to how many outstanding packets the driver can have in its "send" queue.

If too few transmit control blocks are used, performance will suffer. If too many transmit control blocks are used, the driver will unnecessarily consume memory resources.

Transmit Control Blocks range: 8 - 64

Restore Default button

Use this button to restore the setting to its default.

Wake on Settings

These settings allow the override of protocol requests to the driver to set wake up methods. Modify them at your own risk.  Select from among the following list of options to determine how to wake your system.  NOTE: These features may not be available on every adapter type.

Wake On Link Change

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up in response to a link change event such as connecting the adapter to a network.

Default: Disabled (0)

Range: Disabled (0) / Enabled (1)

Wake On Magic Packet

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up in response to receiving a Magic Packet. A Magic Packet is a packet contains 16 contiguous copies of the receiving adapter’s Ethernet address.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

Wake On Pattern Matching

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up in response to receiving a network frame containing a pattern. This pattern is specified by the protocol driver.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

Wake On Other Pattern

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up in response to receiving a network frame containing a pattern. This feature is similar to Wake on Pattern Matching, but is automatically enabled whenever you enable Wake on ARP, Wake on Directed Packet, or Wake on NTB Query.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

Wake On ARP

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up when the adapter receives an ARP (Address Resolution Protocol) Packet. ARP is a TCP/IP protocol used to determine a node’s physical address.

To use this feature, make sure that the Wake On Pattern Matching feature is enabled.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

Wake On LAA

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up on a Magic Packet sent to the local address (overriding the OS setting).

To use this feature, make sure that the Wake On LAA feature is enabled.

Default: Disabled (0)

Range: Disabled (0) / Enabled (1)

Wake On Directed Packet

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up when the adapter receives a Directed Packet. To use this feature, make sure that the Wake On Pattern Matching feature is enabled.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

Wake On NBT Query

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up when the adapter receives an NBT (NetBIOS-over-TCP/IP) Name Query Packet. NBT converts IP addresses to NetBIOS names, and then NetBIOS names to IP addresses.

To use this feature, make sure that the Wake On Pattern Matching feature is enabled.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

* Other trademarks or brands are property of their owners.


Priority Packet Overview

NOTE: Priority Packet is not supported on the 82562EH based Phoneline Desktop Adapter and Network Connection.

Priority Packet is a traffic prioritization utility that enables you to set up filters to process high priority traffic before normal traffic. Using Priority Packet, you can set up filters to give priority to critical applications.

NOTE: The Priority Packet tab is only displayed if you've installed Priority Packet from the Intel CD.

To install Priority Packet, run the setup program on the Intel CD, located at \PRTPKT\SETUP.EXE.

Prioritizing Network Traffic

Intel's Priority Packet lets you set up filters to send information from critical nodes or applications with an indicated priority. By prioritizing traffic at the hosts or entry point of the network, network devices can base forwarding decisions on priority information defined in the packet.

Priority Packet prioritizes traffic based on filters - parameters you assign to be applied to outgoing (transmit) packets. Using the Priority Packet Filter Wizard, you can set up pre-defined or custom filters based on a node (MAC) address, Ethernet type, or by various properties of the protocol and port. Priority Packet provides two different methods for prioritizing traffic: IEEE 802.1p tagging and Intel High Priority Queue.

IEEE 802.1p Tagging

IEEE 802.1p is a new IEEE standard for tagging, or adding additional bytes of information to, packets with different priority levels. Packets are tagged with 4 additional bytes, which increase the packet size and indicate a priority level. When these packets are sent out on the network, the higher priority packets are transferred first. Priority packet tagging (also known as Traffic Class Expediting) allows the adapter to work with other elements of the network (switches, routers) to deliver priority packets first. 802.1p tagging enables you to assign specific priority levels from 0 (low) to 7 (high).

Using the 802.1p standard for packet tagging, you can assign values to packets based on their priority. This method requires a network infrastructure that supports packet tagging. The routing devices receiving and transferring these packets on your network must support 802.1p for tagging to be effective.

After you set up the filter in Priority Packet, you must launch Intel PROSet II and select ‘802.1p/802.1Q Tagging’ on the Advanced Settings tab.

NOTE: IEEE 802.1p tagging increases the size of the packets it tags. Some hubs and switches won’t recognize the larger packets and will drop them. Check your hub or switch documentation to see if they support 802.1p. (You can configure the switch to strip the tags from the packets and send it on to the next destination as normal traffic.) If these devices don’t support 802.1p or you’re not sure, use High Priority Queue to prioritize network traffic.

Requirements for effectively using IEEE 802.1p tagging:

•	The other devices receiving and routing 802.1p tagged packets must support 802.1p.

•	The adapters on these devices must support 802.1p (adapters using the Intel 82550 and 82558 or later Ethernet controller). All PRO/100+ and PRO/100 S adapters support 802.1p. PRO/100B adapters do not.

•	The adapter(s) cannot be assigned to an adapter team.

•	If you’re setting up VLANs and packet tagging on the same adapter, the ‘802.1p/802.1Q Tagging’ must be ‘Enabled’ on the Intel PROSet II Advanced Settings tab.

Intel High Priority Queue

If your network infrastructure devices don’t support IEEE 802.1p or you’re not sure, you can still define filters and send packets as high priority. The system sends high priority packets first. Therefore, if there are multiple applications on a system sending packets, the packets from the application with a filter are sent out first. High Priority Queue (HPQ) doesn't change network routing, nor does it add any information to the packets.

To assign HPQ, you can specify it using Priority Packet when you create or assign a filter.

To effectively use HPQ tagging, the adapter(s) cannot be assigned to an adapter team.

Remote Access

See the readme file for your operating system for specific instructions for using Remote Access with Priority Packet.


Filter

A parameter that is applied to an outgoing (transmit) packet to determine if it should be tagged with IEEE 802.1p or put in the High Priority Queue. Priority Packet supports three types of filters: Node address/Ethertype, TCP/IP, and IPX.


IEEE 802.1p Specification

An IEEE standard for tagging packets with different priority levels. When these packets are sent out on the network, the higher priority packets are transferred first. Priority packet tagging allows the adapter to work with other elements of the network (switches, routers) to deliver better overall performance.

IEEE 802.1p tagging is only effective when your network infrastructure (switches and other routing devices) support it. If your infrastructure doesn't support IEEE 802.1p tagging or you're not sure, you can prioritize traffic using Intel's High Priority Queue.


High Priority Queue

A transmit queue for some PRO/100 adapters.

Software such as Intel® Priority Packet assigns a priority to a packet. Some PRO/100 adapters have two queues: Low Priority Queue (LPQ) and High Priority Queue (HPQ). The driver sends high priority packets to the HPQ, and sends all others to the LPQ.

A packet in the HPQ has priority over a packet in the LPQ. All packets in the HPQ are sent before any packets in the LPQ.

To assign HPQ, you can assign the priority through Priority Packet when you create or assign a filter.

To effectively use HPQ tagging, the adapter(s) cannot be assigned to an adapter team.


Tagging

Adding additional bytes of information to a packet. In the case of Priority Packet using IEEE 802.1p tagging, this means adding 4 additional bytes of information indicating the packet’s priority.


VLAN Compatibility
VLAN Compatibility Notes

Compatibility Summary

Adapter Model	VLAN Type Supported
PRO/1000	IEEE 802.1q
PRO/100+ and PRO/100 S	IEEE 802.1q
PRO/100B	No VLAN Support
82562EH based Phoneline Desktop Adapter and Network Connection	No VLAN Support
Additional Notes

PRO/1000 and PRO/100+, PRO/100 S Server and Client adapters

Currently, all PRO/100+ and PRO/100 S adapters are compatible with the IEEE-approved VLAN standard (802.3ac/802.1p/802.1q). If your network switch supports the IEEE VLAN standard, your network administrator can define VLANs using management software that comes with the switch. Once the VLANs are defined you can join an allowed VLAN by running PROSet II and right clicking on a VLAN listing.

GVRP

GVRP (GARP VLAN Registration Protocol) is used by workstations and switches to dynamically create, change and remove VLANs from across a network. This protocol allows VLAN switches which support GVRP to determine which VLANs are active and to identify their switch ports.

See GVRP Support for more information on this feature.


CardBus Detected

Single Adapter Installation:

If you are installing a single CardBus adapter, simply choose the model you are installing.

Two Adapter Installation:

If you are installing two CardBus adapters and one or both of them are Intel PRO/100 LAN+Modem56 CardBus II adapters, select "Intel PRO/100 LAN+Modem56 CardBus II".

If both adapters are Intel PRO/100 CardBus II adapters (LAN only), select "Intel PRO/100 CardBus II".

PCI Adapters:

If you are attempting to install a PCI adapter (on a docking station, for instance), select "Intel PRO PCI Adapter"

NOTE: If you already have an Intel PRO/100 CardBus II adapter (LAN only) installed, and are trying to install a Intel PRO/100 LAN+Modem56 CardBus II adapter, you must first remove the drivers for the LAN-only adapter, power down, then re-install the drivers that came with the LAN+Modem56 adapter.


CardBus Resources

Select a set of available resources for your Network Adapter and Modem (if applicable).

To check the resources chosen, start PROSet II by double-clicking the Intel® PROSet II icon in Control Panel. If there are no conflicts, you'll see the General tab with adapter status information. If there is a resource conflict with another device, PROSet II displays a Troubleshooting tab with instructions. Follow these instructions to choose different resources. You'll need to remove the current driver setup by starting the Add/Remove Programs icon in Control Panel. Next, restart the computer and begin the installation sequence again. When the CardBus resources window appears, choose a different set of resources.


Jumbo Frames

Overview

Jumbo frames are non-standard, larger Ethernet frames that can be used in special (rare) cases to reduce server CPU utilization and improve wire efficiency. These cases are typically found only in Gigabit Ethernet environments where host processor utilization is near capacity (approximately 100%). Examples of specific applications where jumbo frames may useful include server to server communications, server replication or server backup, and performance benchmarking. These applications may be able to use the larger blocks of data made available with jumbo frames (frames larger than 1518 Bytes) and result in improved network performance. The adapter must be connected to a compatible switch that supports jumbo frames.

When standard sized Ethernet frames are used (64 to 1518 Bytes) there is no benefit to configuring Jumbo frames.

Configuration Notes

To configure jumbo frames on the PRO/1000 adapter, start Intel PROSet II and click the Advanced tab. Select Jumbo Frames from the list of functions on the left and configure it to "Enabled" in the value field.

To configure jumbo frames at the switch, consult your network administrator or switch User's Guide.

•	Currently, jumbo frame support is available only with Windows 2000 and Windows NT 4.0.

•	Supported protocols are limited to IP (TCP, UDP).

•	Jumbo frames require compatible switch connections that forward jumbo frames. At the time this help file was written, only Alteon Gigabit switches had this type of support. Contact Alteon for more information.

•	Using jumbo frames requires another server configured to operate with jumbo frames.

•	Configuring jumbo frames is a manual process.  Currently there is no method of indicating Jumbo Frame support, such as auto-negotiation, between switches and servers.

•	Servers configured for jumbo frames that are connected to legacy (10 and 100Mb) networks can become a problem unless you are able to isolate jumbo frames to particular networks. This can be accomplished by either physical segmentation (connecting to a single switch), or by setting up a VLAN.


Gigabit EtherChannel
Gigabit EtherChannel (GEC)

Gigabit EtherChannel (GEC) is a performance technology developed by Cisco to increase your server's throughput. Unlike ALB, GEC can be configured to increase both transmission and reception channels between your server and switch. GEC works only with GEC-compatible Cisco switches. With GEC, as you add PRO/1000 adapters to your server, you can group them in teams with a maximum of eight PRO/1000 server adapters per team. Teams can consist of two, four or eight adapters and you can have a maximum of two GEC teams per server. The GEC software continuously analyzes loading on each adapter and balances those across the adapters as needed. Adapter teams configured for GEC also provide the benefits of Adapter Fault Tolerance.

To use GEC, you must have two or more PRO/1000 server adapters installed in your server or workstation and linked to the same Cisco switch.

GEC Protocol Compatibility for Windows 2000 and Windows NT 4.0:

IP, NetBEUI, IPX (NCP), IPX (NetBIOS)

Note that GEC does not load balance non-routed protocols such as NetBEUI and some IPX traffic.

NOTE: When teaming PRO/1000 T adapters in GEC mode, check the operating speed of each adapter. For GEC, speed must be 1000 Mbps on each adapter. If an adapter is not running at 1000 Mbps, check the link partner and make sure it is a gigabit port and that it is set according to the settings listed under PRO/1000 Link Configuration settings.

* EtherChannel is a trademark of Cisco Systems.

See Also

Link Aggregation


Link Aggregation

Link aggregation is a performance technology developed by Intel and others to increase your server's throughput. Unlike ALB, link aggregation can be configured to increase both transmission and reception channels between your server and switch. Link aggregation works only with compatible Intel switches. With link aggregation, as you add adapters to your server, you can group them in teams to provide up to 800 Mbps (for PRO/100+, PRO/100 S and PRO/1000 adapters) with a maximum of eight server adapters per team. Teams can consist of two to eight adapters and you can have a maximum of four link aggregation teams per server. The aggregation software continuously analyzes loading on each adapter and balances those across the adapters as needed. Adapter teams configured for link aggregation also provide the benefits of Adapter Fault Tolerance.

A Link Aggregation team cannot contain adapters of mixed speeds. For example, a team cannot contain one adapter running at 100 Mbps and a second adapter running at 1000 Mbps.

To use link aggregation, you must have two or more server adapters installed in your server or workstation and linked to the same Intel switch.

Link Aggregation Protocol Compatibility for Windows 2000 and Windows NT 4.0:

IP, NetBEUI, IPX (NCP), IPX (NetBIOS)


MiniPCI Adapters

The MiniPCI adapters are designed to work with specific portable computers that support the MiniPCI form factor. These adapters support the same feature set as the client adapters described in this help file. Some MiniPCI adapters also have integrated modem hardware included in the product.

If your product has a modem, see your computer User's Manual for information on using and configuring the modem.

See Also:

Advanced Settings for PRO/100+ Adapters


Advanced Feature Setup

Choose the adapters for the team you are creating.

The Ethernet Address, Part Number, and Bus (Slot) are displayed for the currently selected adapter.


Advanced Feature Setup

Click Finish to complete the setup.

Click Back to change the team configuration.


Advanced Settings for PRO/10+ Adapters
Advanced Settings for PRO/10 and PRO/10+ Adapters

Automatic 10Mbs on D3

NOTE: This feature may not be available on every adapter type.

This feature allows the driver to automatically change the link speed between 100 Mbps to 10 Mbps. The transition can take up to four seconds. When the adapter wakes up, the link speed is set to the original link speed of the adapter. Changing the link speed from 100 Mbps to 10 Mbps saves power.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

Coalesce Buffers

Recommended value = 8

Specifies the number of memory buffers available to the driver in case the driver runs out of available Map Registers. This buffer area is also used when a packet consists of many fragments.

If no coalesce buffers or map registers are available, the driver will be forced to queue the packet for later transmission. The preferred method of transmitting data is to use map registers since it's the most efficient method.

Coalesce buffers range: 1-32

Flow Control Receive

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to receive full duplex flow control frames by pausing the transmit path. The transmit path is paused for the time specified in the received flow control frame. These settings help fine tune network performance by preventing packets from dropping.

Default: Disabled (0)

Range: Disabled (0) / Enabled (1)

Link Based Login

This feature enables the Adaptive Link Response (ALR) feature. Based on the value for the parameter LinkBasedLoad, this feature checks for the PhyLink status and returns a value of Success or Failure.

Default: Disabled (0)

Range: Disabled (0) / Enabled (1)

Link Speed & Duplex

Recommended setting = Auto Detect (default)

This parameter lets the PRO/10+ adapter know how to send/receive packets, either full or half duplex.

Options available include:

•	Auto Detect - The adapter negotiates with the switch on how to send/receive packets (either full or half duplex).

NOTE:  You must have an auto-negotiating switch to get full duplex support with the Link Speed & Duplex option set to Auto Detect.

•	10Mbps/Half Duplex - The adapter uses 10 Mbps speed and performs one operation at a time. It either sends or receives.

•	10Mbps/Full Duplex - The adapter uses 10 Mbps speed and sends and receives packets at the same time. This improves the performance of your adapter. Select this mode only if you have a full duplex switch.

Locally Administered Address (LAA)

You can optionally override the factory default network address of the adapter. To enter a new network address, type a 12 digit hexadecimal number in this box.

The address entered should be in the range of:  0000 0000 0001 - FFFF FFFF FFFD.

Exceptions:

Do not use a multicast address (LSB of the high byte = 1). For example, in the address 0Y123456789A, "Y" cannot be an odd number (must be 2, 6, A, or E).

Do not use all zeros or all F's.

Receive Buffers

Default value = 32

Specifies the number of buffers used by the driver when copying data to the protocol memory.

Specifies the number of buffers used by the driver when copying data to the protocol memory.

In high network load situations, increasing receive buffers can increase performance. The tradeoff is that this also increases the amount of system memory used by the driver. When adapter is used in a team, it is recommended this value be set to 150.  In other cases, by modifying this value you could degrade performance on your system.  Use at your own risk.

Receive Buffers range: 1-1024

Transmit Control Blocks

Recommended value = 16

Specifies how many transmit control blocks the driver allocates for adapter use. This directly corresponds to how many outstanding packets the driver can have in its "send" queue.

If too few transmit control blocks are used, performance will suffer. If too many transmit control blocks are used, the driver will unnecessarily consume memory resources.

Transmit Control Blocks range: 8 - 64

Wake On ARP

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up when the adapter receives an ARP (Address Resolution Protocol) Packet. ARP is a TCP/IP protocol used to determine a node’s physical address.

To use this feature, make sure that the Wake On Pattern Matching feature is enabled.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

Wake On Directed Packet

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up when the adapter receives a Directed Packet. To use this feature, make sure that the Wake On Pattern Matching feature is enabled.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

Wake On Link Change

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up in response to a link change event such as connecting the adapter to a network.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

Wake On Magic Packet

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up in response to receiving a Magic Packet. A Magic Packet is a packet contains 16 contiguous copies of  the receiving adapter’s Ethernet address.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

Wake On NBT Query

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up when the adapter receives an NBT (NetBIOS-over-TCP/IP) Name Query Packet. NBT converts IP addresses to NetBIOS names, and then NetBIOS names to IP addresses.

To use this feature, make sure that the Wake On Pattern Matching feature is enabled.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)

Wake On Pattern Matching

NOTE: This feature may not be available on every adapter type.

This feature allows the adapter to wake up in response to receiving a network frame containing a pattern. This pattern is specified by the protocol driver.

Default: Enabled (1)

Range: Disabled (0) / Enabled (1)


PRO/1000 Link Configuration
PRO/1000 Link Configuration (PRO/1000 T model only)

CAUTION:  in nearly all cases you should leave Auto Negotiation enabled. If you disable Auto Negotiation, make sure the link partner forced settings match the adapter forced settings. The adapter will not operate at 1000 Mbps with Auto Negotiation disabled. See the online User's Guide for more information.

Auto Negotiation

Default value = Enabled	     Range = Enabled, Disabled

Auto negotiation is used to determine if the adapter forces link or negotiates with its link partner.

If Enabled, Link auto-negotiations will occur, but which capabilities are advertised is based on the Advertised Speed and Duplex Speed parameter below.

If disabled, Link will be forced to the value specified by the Forced Speed and Duplex Selection value.

Negotiable (Advertised) Speed and Duplex Settings

Default value = all available settings advertised

This setting can be used to restrict the speeds and duplexes advertised to a link partner during auto negotiation.

Possible settings:

10 Mbps HALF  10 Mbps FULL  100 Mbps HALF  100 Mbps FULL

1000 Mbps FULL

Forced Speed and Duplex Selection

Default value = 100 Mbps Full

Determines which speed and duplex setting the adapter uses when the Auto negotiation setting is off.

Possible settings:

10 Mbps HALF  10 Mbps FULL  100 Mbps HALF  100 Mbps FULL

NOTE: 1000BaseT operation is not forcible as per IEEE spec.  However, you can approximate this by using the Advertised Speed and Duplex Speed option above, deselecting all checkboxes except 1000 Mbps Full.


PRO/100 VE, VM, 82562EH Advanced Settings

ACPI Wake On LAN*

Enables or disables the Magic Packet* service for Wake On LAN when used in Microsoft Windows 98 version 4.10.1998 without the Service Pack.  If you are using a later version of Windows 98, or have Service Pack 1 or later installed, this option will be ignored and you will be using the ACPI Wake On LAN services.

To determine your version of Windows 98:

From the Windows 98 desktop, right-click on the My Computer icon and choose Properties.  The System Properties window appears and your Windows 98 version is listed under "System:"

Coalesce Buffers

Recommended value = 8

Specifies the number of memory buffers available to the driver in case the driver runs out of available Map Registers. This buffer area is also used when a packet consists of many fragments.

If no coalesce buffers or map registers are available, the driver will be forced to queue the packet for later transmission. The preferred method of transmitting data is to use map registers since it's the most efficient method.

Coalesce buffers range: 1-32

Locally Administered Address (LAA)

You can optionally override the factory default network address of the adapter. To enter a new network address, type a 12 digit hexadecimal number in this box.

The address entered should be in the range of:  0000 0000 0001 - FFFF FFFF FFFD.

Exceptions:

Do not use a multicast address (LSB of the high byte = 1). For example, in the address 0Y123456789A, "Y" cannot be an odd number (must be 2, 6, A, or E).

Do not use all zeros or all F's.

PCI Bus Efficiency

When enabled, causes all transmit packets to be coalesced into a single buffer before being sent to the network card. Because the entire frame requires only one PCI transaction, the PCI bus is more efficient but transmit time is slightly longer.

When disabled, the packets are not coalesced, and each packet requires several PCI transactions.  The PCI Bus is less efficient, but transmit time is faster.

Receive Buffers

Default value = 32

Specifies the number of buffers used by the driver when copying data to the protocol memory.

Specifies the number of buffers used by the driver when copying data to the protocol memory.

In high network load situations, increasing receive buffers can increase performance. The tradeoff is that this also increases the amount of system memory used by the driver. When adapter is used in a team, it is recommended this value be set to 150.  In other cases, by modifying this value you could degrade performance on your system.  Use at your own risk.

Receive Buffers range: 1-1024

Transmit Control Blocks

Recommended value = 32

Specifies how many transmit control blocks the driver allocates for adapter use. This directly corresponds to how many outstanding packets the driver can have in its "send" queue.

If too few transmit control blocks are used, performance will suffer. If too many transmit control blocks are used, the driver will unnecessarily consume memory resources.

Transmit Control Blocks range: 8 - 64

Restore Default button

Use this button to restore the setting to its default.

* Other trademarks or brands are property of their owners.


82562EH_Advanced_Settings
82562EH Advanced Settings

Coalesce Buffers

Recommended value = 8

Specifies the number of memory buffers available to the driver in case the driver runs out of available Map Registers. This buffer area is also used when a packet consists of many fragments.

If no coalesce buffers or map registers are available, the driver will be forced to queue the packet for later transmission. The preferred method of transmitting data is to use map registers since it's the most efficient method.

Coalesce buffers range: 1-32

Locally Administered Address (LAA)

You can optionally override the factory default network address of the adapter. To enter a new network address, type a 12 digit hexadecimal number in this box.

The address entered should be in the range of:  0000 0000 0001 - FFFF FFFF FFFD.

Exceptions:

Do not use a multicast address (LSB of the high byte = 1). For example, in the address 0Y123456789A, "Y" cannot be an odd number (must be 2, 6, A, or E).

Do not use all zeros or all F's.

PCI Bus Efficiency

When enabled, causes all transmit packets to be coalesced into a single buffer before being sent to the network card. Because the entire frame requires only one PCI transaction, the PCI bus is more efficient but transmit time is slightly longer.

When disabled, the packets are not coalesced, and each packet requires several PCI transactions.  The PCI Bus is less efficient, but transmit time is faster.

Phoneline Power Level

(Applies only to the 82562EH based Phoneline Desktop Adapter and Network Connection) Indicates the power level currently in use by the adapter. The two available power levels are "low" (600 mV) and "high" (1.2 V).

Phoneline Transmit Speed

(Applies only to the 82562EH based Phoneline Desktop Adapter and Network Connection) Indicates the transmission speed currently in use by the adapter. The two speeds are "low" (0.7 Mbps) and "high" (1.0 Mbps)

Receive Buffers

Default value = 32

Specifies the number of buffers used by the driver when copying data to the protocol memory.

Specifies the number of buffers used by the driver when copying data to the protocol memory.

In high network load situations, increasing receive buffers can increase performance. The tradeoff is that this also increases the amount of system memory used by the driver. When adapter is used in a team, it is recommended this value be set to 150.  In other cases, by modifying this value you could degrade performance on your system.  Use at your own risk.

Receive Buffers range: 1-1024

Transmit Control Blocks

Recommended value = 32

Specifies how many transmit control blocks the driver allocates for adapter use. This directly corresponds to how many outstanding packets the driver can have in its "send" queue.

If too few transmit control blocks are used, performance will suffer. If too many transmit control blocks are used, the driver will unnecessarily consume memory resources.

Transmit Control Blocks range: 8 - 64

Restore Default button

Use this button to restore the setting to its default.

* Other trademarks or brands are property of their owners.


PRO/100 VE, VM, 82562EH General

Ethernet Address: the 12-digit hexadecimal node address of this adapter. Also called MAC address.

Part Number: the Intel part number of this adapter.

IP Address: the Internet protocol address of this adapter if TCP/IP protocol is in use.

Network Driver Status: indicates if the Intel network driver is loaded or not loaded for the currently selected adapter.

Network Status group:

•	Link LED - on indicates the adapter cable is connected to a valid hub or switch port; off indicates no link. On the 82562EH based Phoneline Desktop Adapter and Network Connection, this indicates that the adapter senses another device on the phoneline cable.

•	Full Duplex LED - on indicates the adapter is connected to a full duplex switch port; off indicates the port or switch is not set to operate at full duplex.

•	Half Duplex LED (82562EH based Phoneline Desktop Adapter and Network Connection) Always on. Indicates that the adapter is communicating in half duplex mode.

•	100 Mbps LED (10/100 adapters only) - on indicates the adapter is connected to a 100 Mbps switch port; off indicates 10 Mbps.

•	1 Mbps LED (82562EH based Phoneline Desktop Adapter and Network Connection) Enabled when Link is on. Indicates that the adapter is communicating in half-duplex mode.

•	Activity LED: flashes when the adapter is connected to a network with activity; off indicates no activity or disconnected cable.

Tray Icon box: check this box to enable the PROSet II tray icon on the taskbar (near the clock). Uncheck it to disable the tray icon.

Identify Adapter Button (not available on all adapter models): You can use this feature to easily identify the adapter. First choose the adapter you want to identify in the "Select a Network Adapter" pull down window at the top of the General tab. Then click Identify Adapter. This opens a dialog that allows you to blink the programmable LED on the adapter bracket (bottom LED). Choose the number of seconds the LED should blink and then click Start. The LED for the selected adapter will blink for the duration you selected.

Details Button: click this button to view more information about the adapter.

Legal: trademark and disclaimer information.


Link Partner

A device that an adapter links to, such as another adapter, a hub, a switch, etc.


Network Component Tree View
Network Component Tree

This is a representation of the Network Component Tree, which appears on the left side of the PROSet II dialog box.  Click on the links in blue for information on options available for each component.

NOTE:  While the option instructions are centered on each component's right-click menu, the same menu options are available via the Component Tree's Action menu.


Boot Agent

This tab allows you to see the settings governing the behavior of the Boot Agent software. You may be able to change some of the configuration settings found within the Setting selection box. You may also be able to use this tab to update the flash ROM device with a Boot Agent software image if your IT administrator has enabled this feature.

NOTE:  If you do not see the Boot Agent tab, it may be that you did not reboot your system after installing an adapter.  Reboot your system, and the Boot Agent tab should be visible.

For instructions for updating the Boot Agent in a Windows environment or changing configuration settings, refer to the Intel® Boot Agent User’s Guide.

For more detailed descriptions about each of the possible configuration settings, click below:

Network Boot Protocol

Boot Order

Setup Menu Wait Time

Show Setup Prompt

Legacy OS Wakeup Support


Network Boot Protocol

Possible Values:

PXE

RPL

Description:

Select PXE for use with WfM-compliant network management programs, such as Intel® LANDesk® Management Suite, Windows 2000 RIS, and Linux*.

Select RPL for legacy-style remote booting.

NOTE: If your Boot Agent does not support RPL, this setting will be unchangeable.


Boot Order

Possible Values:

"Use BIOS Setup Boot Order"

"Try network first, then local drives"

"Try local drives first, then network"

"Try network only"

"Try local drives only"

Description:

Allows you to select the order in which boot devices are selected when the system boots. If your client computer’s BIOS supports the BIOS Boot Specification (BBS) or allows PnP-compliant selection of the boot order in the BIOS setup program, then this setting will always be "Use BIOS Setup Boot Order" and cannot be changed. In this case, refer to the BIOS setup manual specific to your client computer to set up boot options.

If your client computer does not support BBS- or PNP-compliant BIOS, you can select one of the other possible values listed above except for "Use BIOS Setup Boot Order".


Show Setup Prompt

Possible Values:

Enable

Disable

Description:

If you select Enable, the setup prompt appears after the BIOS setup is completed.

If you select Disable, the setup prompt does not appear. However, you can still invoke the setup program at that time.


Setup Menu Wait Time

Possible Values:

2 seconds

3 seconds

5 seconds

8 seconds

Description:

The number of seconds the Boot Agent waits for you to press the keys required to invoke the setup program during the system boot process.


Legacy OS Wakeup Support

Possible Values:

Enable

Disable

Description:

This setting applies only to Intel® PRO/100+ WfM-compatible, 82559-based (or later) adapters.

Select Disable for this setting when using an ACPI Windows operating system such as Windows 2000 or Windows 98SE.

Select Enable to allow non-Windows operating systems (such as DOS or NetWare*) to make use of the WfM adapter’s remote wakeup capability.

NOTE: Consult your operating system instructions to determine if your operating system supports remote wakeup, as well as how to use this capability.


Traffic Filter
Priority Packet Filter Listing

This is a Priority Packet filter that has been created in the Priority Packet application and assigned to a specific adapter or adapter team.

NOTE: If you do not see a Priority Packet Filter Listing in the Network Component Tree, it is because you have not created a filter in the Priority Packet application.  (Or, this component could be "rolled up" under a Traffic Filters folder.  If so, double-click that folder to expand.)

The Priority Packet Filter Listing does not have an associated right click menu as do many of the other component listings.  However, when you highlight the Priority Packet Filter Listing, you will see a Traffic Filter tab.

In the Traffic Filter tab, the Traffic Filter Summary displays information relating to the highlighted Priority Packet traffic filter.  Associated Actions displays settings for the highlighted Priority Packet traffic filter.


Non-Teamed Adapter Listing

This is a specific adapter that is not teamed.

NOTE: If you do not see a Non-Teamed Adapter Listing in the Network Component Tree, it could be that all your adapters are currently teamed and displayed as Teamed Adapter Listings in the Network Component Tree.  Or it could be that you have no adapters currently installed.

In the Network Component Tree, when you right click on a Non-Teamed Adapter Listing, you will see the following menu items:

Remove

Removes the adapter instance from your system.  Use this command to remove the adapter instance prior to removing the associated physical adapter from your system.

Remove an adapter instance

Add to Team

Allows you to either create a new team with the selected adapter, or add the adapter to an existing team.

Create a new team

Add an adapter to an existing team

Add VLAN

Allows you to add a VLAN to the selected adapter.

Add a VLAN

GVRP Support

Allows you to enable or disable the GVRP protocol on the selected adapter.

NOTE: The GVRP Support option is grayed out until you create at least one VLAN on the selected adapter.

See GVRP Support for more information on this feature.

Enable IPSec

Provided you have installed Intel Packet Protect on your system (or are using Windows 2000), this option enables IPSec on the selected adapter or team of adapters.

See Enable IPSec for more information on this feature.

* Other trademarks or brands are property of their owners.


VLAN Listing

This is a VLAN that has been specified for an adapter or a team of adapters.

NOTE: If you do not see any VLAN Listings in the Network Component Tree, it means you have not yet added a VLAN.  (It could also be that your VLAN components are "rolled up" under a Virtual LANs folder.  If so, double-click that folder to expand.)

In the Network Component Tree, when you right click on a VLAN Listing, you will see the following menu items:

Change VLAN Properties

Allows you to change the VLAN properties you specified when you created the VLAN.

Change VLAN properties

Remove

Removes the VLAN.

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.

See Also

Add a VLAN


Team Listing

This is a team of adapters.

NOTE: If you do not see any Team Listings in the Network Component Tree, it means you have not yet created any teams.

In the Network Component Tree, when you right click on a Team Listing, you will see the following menu items:

Remove

Removes the adapter team listing.  All the settings for the adapter team are deleted and the adapter members themselves are returned to non-teamed adapter status.

Remove an adapter team

Change Team Mode

Allows you to change the team type.

Change adapter teaming mode

Add VLAN

Allows you to add a VLAN to the selected adapter.

Add a VLAN

Enable IPSec

Provided you have installed Intel Packet Protect on your system (or are using Windows 2000), this option enables IPSec on the selected adapter or team of adapters.

See Enable IPSec for more information on this feature.

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.

See Also

Create a new team

Remove an adapter from a team

Add an adapter to an existing team


Teamed Adapter Listing

This is an adapter that is a member of a team.

NOTE: If you do not see a Teamed Adapter Listing in the Network Component Tree, it could be that you haven't created any teams.  (In this case, you would not see a Team Listing in the Network Component Tree either.)  Or, it could be that you created a team, but later removed all the adapters that made up that team, which would leave the Team Listing empty.

In the Network Component Tree, when you right click on a Teamed Adapter Listing, you will see the following menu items:

Preferred Primary

Designates the selected adapter as the primary transmitting adapter for the team.  (See Adapter Fault Tolerance for more.)  Usually, the adapter you specify here is your highest bandwidth adapter.

Preferred Secondary

Designates the selected adapter as the backup adapter for the Preferred Primary adapter.  This option is not available until you specify a Preferred Primary adapter.

Remove from Team

Removes the selected adapter from the team.

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.

See Also

Change adapter teaming mode

Add an adapter to an existing team

Create a new team

Remove an adapter from a team

Remove an adapter team


Network Components

The Network Components tab lists the network components that are active on your system.  ("Network Components" consist of adapters, teams, VLANs, or Priority Packet filters.)

For links to instructions on adding to or modifying components, click Here.


Member Adapters

The Member Adapters tab lists the adapters that make up a team.

See Also

Create a new team

Add an adapter to an existing team

Change adapter teaming mode

Remove an adapter from a team

Remove an adapter team

Add a VLAN


Virtual LANs

The Virtual LANs tab lists the VLANs associated with the tab's respective adapter or adapter team.

See Also

Add a VLAN

Change VLAN properties

VLAN definition

Remove a VLAN


Traffic Filters

The Traffic Filters tab lists the Priority Packet traffic filters associated with the tab's respective adapter or adapter team.


Remove an Adapter Instance

Warning:  By following this procedure, you will completely remove an adapter instance from your system.  Generally, you use this procedure before removing the physical adapter from your client or server. Do not confuse this procedure with "Removing an Adapter from a Team".

1.	In the Network Component Tree in PROSet II, right click on the Non-Teamed Adapter Listing you want to remove.

2.	In the menu that appears, click Remove.

3.	A confirmation dialog appears, informing you that this adapter is NOT in a team.  Click Yes to completely remove the adapter instance from your system.

4.	At the PROSet II dialog, click OK to close PROSet II.

5.	Restart your system if prompted.

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.


Create a New Team

Use this procedure to team a set of adapters that are not currently in a team.

In the Network Component Tree in PROSet II, right click on a Non-Teamed Adapter Listing.

1.	In the menu that appears, click Add to Team, and then Create New Team. The Teaming Wizard appears.

2.	In the Teaming Wizard, select the type of team you want to create and click Next.  Choices are:

•	Adapter Fault Tolerance

•	Adaptive Load Balancing

•	Fast EtherChannel*/Link Aggregation

•	Gigabit EtherChannel*/Link Aggregation

•	IEEE 802.3ad

3.	Select the adapters you want in this team and click Next.

NOTE: Only the current Non-Teamed Adapters are listed here.

NOTE: When attempting to team PRO/100 and PRO/1000 adapters in the teaming mode Adaptive Load Balancing, note that these adapters are mutually exclusive.  That is, if you select a PRO/100 adapter, you cannot select a PRO/1000 adapter to add to that team.  Likewise, if you select a PRO/1000 adapter, you cannot select a  PRO/100 adapter to add to that team.

NOTE: When teaming a PRO/1000 T adapter in the teaming mode Adaptive Load Balancing, note that the remaining adapters in the team must run at the same speed.

4.	Click Finish.

5.	Click Close to close PROSet II and apply these changes.

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.


Add an Adapter to an Existing Team

Use this procedure to add an adapter to an existing team.

1.	In the Network Component Tree in PROSet II, right click on a Team Listing.

2.	In the menu that appears, click Add Adapter to Team, and then select the adapter you want to add.

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.


Add a VLAN

Use this procedure to add a VLAN to a team or adapter.

1.	In the Network Component Tree in PROSet II, right click on a Team Listing, or Non-Teamed Adapter Listing.

2.	In the menu that appears, click Add VLAN.

3.	In the Add New VLAN dialog box, enter a VLAN ID and VLAN Name.

4.	Click OK.

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.


Remove a VLAN

Use this procedure to remove a VLAN from a team or adapter.

1.	In the Network Component Tree in PROSet II, right click on a VLAN Listing.

2.	In the menu that appears, click Remove VLAN.

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.


Remove an Adapter Team

Use this procedure to remove an entire adapter team.

NOTE: If you have created VLANs or Priority Packet Filters for the team, these will be removed along with the team.  If you created VLANs or Priority Packet Filters for an adapter before it was teamed, these will be retained when the team is removed.

1.	In the Network Component Tree in PROSet II, right click on a Team Listing.

2.	In the menu that appears, click Remove.

3.	A confirmation message appears.  Click Yes.

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.


Change Adapter Teaming Mode

Use this procedure to change the team type for a team.

1.	In the Network Component Tree in PROSet II, right click on a Team Listing.

2.	In the menu that appears, click Change Team Mode, and then select one of the following team modes:

•	Fault Tolerance

•	Load Balancing

•	Fast EtherChannel*/Link Aggregation

•	IEEE 802.3ad

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.


IEEE 802.3ad

802.3ad is an adopted IEEE standard that has two modes: static or dynamic link aggregation. In static mode, it is similar to Fast EtherChannel* (FEC). In dynamic mode, the adapter software probes the switch and vice versa to determine the team aggregations. Teams can consist of two to eight adapters. You must use 802.3ad switches (aggregation can go across switches). Adapter teams configured for IEEE 802.3ad also provide the benefits of fault tolerance and load balancing. Under 802.3ad, all protocols can be load balanced.

In Dynamic mode, you can add and remove adapters from the link without losing the connection. Dynamic mode supports multiple aggregators and they are formed either by different speeds on the same switch (teams based on speed) or by using multiple switches (provides some redundancy between switches). Only one team will be active at a time and because switch implementations may vary, the Intel ANS (teaming) software allows you to select either maximum bandwidth or maximum adapters.

NOTE: Once you choose an aggregator, it remains in force until all adapters in that aggregator lose link.

Teaming Advanced Settings

IEEE 802.3ad Protocol Compatibility for Windows 2000 and Windows NT 4.0:

IP, NetBEUI, IPX (NCP), IPX (NetBIOS)

* EtherChannel is a trademark of Cisco Systems.


Remove an Adapter from a Team

Use this procedure to remove a single adapter from a team.

1.	In the Network Component Tree in PROSet II, right click on a Teamed Adapter Listing.

2.	In the menu that appears, click Remove From Team.

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.


Change VLAN Properties

Use this procedure to change the VLAN ID and VLAN Name you specified for a VLAN.

1.	In the Network Component Tree in PROSet II, right click on a VLAN Listing.

2.	In the menu that appears, click Change VLAN Properties.

3.	Make any necessary changes and click OK.

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.


Specify an Adapter as Primary or Secondary

Use this procedure to specify the Primary and Secondary adapter within the Adapter Fault Tolerance function of a team.

1.	In the Network Component Tree in PROSet II, right click on a Teamed Adapter Listing.

2.	In the menu that appears, click Preferred Primary or Preferred Secondary.

NOTE: The Preferred Secondary option is not available until you've specified a Preferred Primary.

NOTE:  When making multiple changes to teams or VLANs in PROSet II, it is recommended that you close PROSet II at the end of each change, in order to set the change.  Then, you may reopen PROSet II to make the next change.


Primay or Secondary
Primary and Secondary

Preferred Primary

Specifies which adapter in the Fault Tolerance team to use as the preferred primary adapter. If the Preferred Primary adapter fails and is later restored to active status, control is automatically passed back to the preferred primary.

For example if you have a server with a PRO/1000 Gigabit adapter as the primary adapter and a PRO/100+ or PRO/100 S adapter as the secondary, you would want the PRO/1000 Gigabit adapter to be the preferred primary. In this scenario, if the PRO/1000 adapter fails, the PRO/100+ or PRO/100 S will take over. Then when the PRO/1000 is replaced, it will automatically revert to being the primary adapter in the team.

If a Preferred Primary is not selected, PROSet II will attempt to select the best adapter, based on adapter model and speed.

Preferred Secondary

Specifies which adapter in the Fault Tolerance team to use as the preferred secondary adapter.


PROSet Tray Icon
PROSet II Tray Icon

When you install PROSet II, you’ll see a PROSet II tray icon in the taskbar (near the clock).

When you right click on this icon, several options are available:

This Command…	Does This…
Launch Intel® PROSet II	Launches PROSet II.
Hide Tray Icon	Hides the tray icon.  To make icon reappear, click the "Show the tray icon" check box on the General tab in PROSet II.
Exit	Removes the PROSet II tray icon until the next time you reboot.
Exit and Do Not Launch at Start Up	Removes the PROSet II tray icon and prevents it from displaying on future reboots. If you select this option but then decide that you do want the tray icon to display, you can restore it.  To do so, click the Microsoft Start button, select Run, type PROMON and click OK.  The PROSet II tray icon reappears in the tray. To display the tray icon on all future reboots, see the "Start Tray Icon at Start Up" option, below.
Start Tray Icon at Start Up	This option is available only if you’ve used the "Exit and Do Not Launch at Start Up" option above, and then return the icon to the tray. When you right click on the tray icon and select this option, the PROSet II tray icon will be displayed in the taskbar on all future reboots.


Smart Power Down Technical Details

Smart Power Down is a technique use on Intel 82550, 82558 and 82559 based adapters to minimize power consumption when LINK is not valid (i.e. cable is not installed). This technique allows the adapters to enter into a deep sleep mode which saves up to 150% more power (from 15mA in D3 cold with PME disabled down to 6mA when Smart Power Down is enabled).

Smart Power Down (SPD) is based upon the concept of LINK changing states from valid to invalid.  While valid and drivers/operating system loaded, the adapter will operates normally with the OS controlling the ACPI power management state.  If LINK reports an invalid state, a flag is sent to the OS requesting we be placed in D3 state (lowest ACPI power state) and at the same time sets the LINK LOSS DEEP POWER DOWN (LLDPD) bit within the Power Management Control (PMC) register.  This essentially turns off the adapter.  While in this state, the driver will intermittently wake up the adapter to check to see if the LINK state has changed.  If the state has changed, the LLDPD bit will be cleared and the adapter wakes up and operates normally.  If the LINK state is still not valid, the driver will place the adapter back into SPD mode and will wait another few seconds before checking LINK status again.

In system suspend states, the OS and driver are unloaded.  In this case SPD functions slightly differently.  When the user is suspending the system (Wake On LAN is not being requested by the user), the OS will tell the adapter that it is preparing to shut down. The adapter driver will do any housekeeping that is necessary in preparation for shut down and one of these functions is to determine if SPD has been enabled.  If it has, it will set the LLDPD bit in the PMC register and place the adapter into deep sleep until the user wakes the computer and valid LINK has been re-established.  This provides maximum power savings while suspend with PME disabled.

In a computer that is suspended and monitoring the LAN for a wake up message, LLPDP will be enabled but will only be activated when LINK is invalid. In other words, if PME is active the PHY must be powered to monitor the LAN activity for a wake up message.  Until this message is received, the computer will remain suspended with the PHY powered.  If the LINK status changes during this time, the PHY will communicate it's LINK status change to the MAC which will then enable LLDPD and force a deep sleep state for the adapter.  Before it does this, it will initiate a looping sequence within the MAC to occasionally wake the PHY up to check for LINK status (similar to above).  If LINK becomes valid, the adapter resumes a D3 state with PME enabled and monitors for wake up messages. Otherwise it will place itself into a deep sleep state.


Failed to Uninstall the Device Message

If you try to remove an Adapter Team Listing or VLAN Listing using Device Manager, you will receive the following message: "Failed to uninstall the device. The device may be required to boot the computer."

This message means that you cannot use Device Manager to remove a virtual adapter created by PROSet II.  To remove adapters from Device Manager, use PROSet II.

See Also:

Remove an Adapter Team

Remove a VLAN


VLAN Configuration
VLAN Configuration Tab

VLAN ID: the VLAN ID you assigned to this VLAN.

VLAN Name: the VLAN name you assigned to this VLAN.

IP Address: the IP address you specified for this VLAN (via Window’s Control Panel).

VLAN Type: the type of VLAN in use (IEEE 802.3ac/802.1Q).


Advanced Settings for VLANs

These settings appear when you highlight a VLAN Listing in the Network Component Tree, and click on the Advanced tab.

NumRxPackets

Specifies the number of NDIS receive packets that the ANS driver allocates for its receive pool, per ANS VLAN.  If left at the default (32) ANS automatically adapts to network traffic load.  If this setting is too low, packets may be dropped.  If set too high, memory may be wasted.  By modifying this value, you could degrade performance on your system.  Use at your own risk.

Default: 32

Range: 0 - 512, step 16

NumTxPackets

Specifies the number of NDIS transmit packets that the ANS driver will allocate for its transmit pool, per ANS VLAN.  If left at the default (32) ANS automatically adapts to network traffic load.  If this setting is too low, packets may be dropped.  If set too high, memory may be wasted.  By modifying this value, you could degrade performance on your system.  Use at your own risk.

Default: 32

Range: 0 - 512, step 16


Enable IPSec

Enable IPSec

This option appears when you right click on a Team Listing or Non-Teamed Adapter Listing in the Network Component Tree.

If the Enable IPSec option does not appear, it may be because:

•	The selected adapter is not IPSec capable, or the selected team includes an adapter that is not IPSec capable.

•	You are using Windows 95* which does not support IPSec.

•	You are using Windows* NT 4.0, but have not yet installed Service Pack 5 or later.

•	You are using Windows 2000* which does support IPSec, but does not display this menu option because IPSec is automatically enabled.

Usage

As a first step in enabling IPSec on the selected adapter or team of adapters, select the Enable IPSec menu item (so that the menu option has a checkmark in front of it.)  Note that this is only one of the steps necessary for enabling IPSec on the selected adapter or team of adapters. The other steps consist of rebooting the system and installing the Packet Protect software.  For more information on configuring PROSet II to support IPSec, see the topic "Installing Intel Packet Protect" in the Packet Protect Online User’s Guide on the Intel CD.

To disable IPSec on the selected adapter or team of adapters, select the Enable IPSec menu item again (so that the menu option does not have a checkmark in front of it.)

NOTE:  In order to install Packet Protect, you must select the Enable IPSec option on at least one adapter or team of adapters prior to installing Packet Protect.

NOTE:  To minimize the number of reboots, it is best to create any teams, then select the Enable IPSec option on the desired team(s) as well as on any unteamed adapter(s), and then reboot the system to have all changes take effect.


GVRP Support

GVRP (GARP VLAN Registration Protocol) is used by workstations and switches to dynamically create, change and remove VLANs from across a network. This protocol allows VLAN switches which support GVRP to determine which VLANs are active and to identify their switch ports.

To access the GVRP Support dialog box:

1.	In the Network Component Tree in PROSet II, right click on a Non-Teamed Adapter Listing or Teamed Adapter Listing which has at least one VLAN.

2.	In the menu that appears, click GVRP Support.

NOTE: The GVRP Support option is greyed out until you create at least one VLAN on the selected adapter.

The GVRP Support dialog box appears, displaying options for specifying GVRP Support and GVRP Join Time.

GVRP Support

Select the appropriate radio button to enable or disable the GVRP protocol on the selected adapter.

Default: Disabled

GVRP Join Time

Select the time interval between the GVRP LEAVE command initiated by the switch and the GVRP JOIN command initiated by PROSet.

Default: (200)

Range: 50 - 1000 in increments of 50